@import url('https://fonts.googleapis.com/css2?family=Tiny5:wght@400;700&display=swap');

html, body {
    font-family: 'Tiny5', system-ui;
    background-color: gray;
}

* {
    image-rendering: pixelated;
    -webkit-font-smoothing: none;
    -moz-osx-font-smoothing: grayscale;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

img {
    image-rendering: pixelated;
    image-rendering: -moz-crisp-edges;
    image-rendering: crisp-edges;
}

.card-pair {
    position: absolute;
    display: flex;
    justify-content: center;
    gap: 5px;
    width: 18%;
}

    .card-pair img {
        width: 48%;
        height: auto;
    }

h1 {
    font-size: 1.5vw;
    margin: 0;
    padding: 0;
}

.token-top-right {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    top: 22%;
    right: 20%;
}
.token-mid-right {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    top: 52%;
    right: 10%;
}
.token-bot-right {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    bottom: 18%;
    right: 20%;
}
.token-mid {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    bottom: 11%;
    left: 61%;
    transform: translateX(-50%);
}
.token-bot-left {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    bottom: 18%;
    left: 20%;
}
.token-mid-left {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    top: 52%;
    left: 10%;
}
.token-top-left {
    position: absolute;
    display: flex;
    justify-content: center;
    height: 4%;
    top: 22%;
    left: 20%;
}

.name-top-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 27%;
    right: 11%;
    transform: translate(50%, 50%);
}
.name-mid-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 57%;
    right: 1%;
    transform: translate(50%, 50%);
}
.name-bot-right {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 9%;
    right: 11%;
    transform: translate(50%, -50%);
}
.name-mid {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 6%;
    left: 50%;
    transform: translate(-50%, 50%);
}
.name-bot-left {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 9%;
    left: 11%;
    transform: translate(-50%, -50%);
}
.name-mid-left {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 57%;
    left: 1%;
    transform: translate(-50%, 50%);
}
.name-top-left {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 27%;
    left: 11%;
    transform: translate(-50%, 50%);
}

.winners {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    top: 8%;
    right: 50%;
    transform: translateX(50%);
}
    .winners h1 {
        color: darkred;
    }

.balance {
    position: absolute;
    display: flex;
    justify-content: center;
}
    .balance h1{
        color: yellow;
    }

.balance-top-right {
    top: 30.5%;
    right: 11%;
    transform: translate(50%, 50%);
}

.balance-mid-right {
    top: 60.5%;
    right: 1%;
    transform: translate(50%, 50%);
}

.balance-bot-right {
    bottom: 5.5%;
    right: 11%;
    transform: translate(50%, -50%);
}

.balance-mid {
    bottom: 2.5%;
    left: 50%;
    transform: translate(-50%, 50%);
}

.balance-bot-left {
    bottom: 5.5%;
    left: 11%;
    transform: translate(-50%, -50%);
}

.balance-mid-left {
    top: 60.5%;
    left: 1%;
    transform: translate(-50%, 50%);
}

.balance-top-left {
    top: 30.5%;
    left: 11%;
    transform: translate(-50%, 50%);
}

.bet h1 {
    color: orange;
}
.bet-top-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 17%;
    right: 21%;
    text-align: left
}
.bet-mid-right {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 47%;
    right: 11%;
    text-align: left;
}
.bet-bot-right {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 23%;
    right: 21%;
    text-align: left;
}
.bet-mid {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 22%;
    left: 50%;
    transform: translateX(-50%);
}
.bet-bot-left {
    position: absolute;
    display: flex;
    justify-content: center;
    bottom: 23%;
    left: 21%;
}
.bet-mid-left {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 47%;
    left: 11%;
}
.bet-top-left {
    position: absolute;
    display: flex;
    justify-content: center;
    top: 17%;
    left: 21%;
}
.start-button {
    position: absolute;
    display: flex;
    justify-content: center;
    width: 12%;
    transform: translateX(-50%);
    left: 50%;
    bottom: 45%;
}
    .start-button img {
        width: 100%;
        height: auto;
    }

.no-arrows::-webkit-outer-spin-button,
.no-arrows::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

.no-arrows {
    -moz-appearance: textfield;
    font-size: 1.5vw;
}

.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
    .loading h1 {
        font-size: 5vw;
        margin: 0;
        padding: 0;
    }

.skins-container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    column-gap: 1%;
    row-gap: 6%;
    justify-items: center;
    align-items: start;
    width: 90%;
    margin: 0 auto;
    padding-top: 50px;
    grid-auto-rows: min-content;
}

.skin-card {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.5vw;
}
    .skin-card img {
        width: 15vw;
        height: auto;
        display: block;
    }

.equip-button {
    padding: 8px 16px;
    background-color: #28a745;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    width: 50%;
    font-size: 0.75vw;
}
    .equip-button:disabled {
        background-color: #6c757d;
        cursor: not-allowed;
    }
    